.b-project-list {
  display: flex;
  flex-direction: column;
  gap: 45px;
}

.b-project-list .project-list__top {
  display: grid;
  grid-template-columns: minmax(0, 1fr) 150px;
  gap: 20px;
}

.b-project-list .project-list__items {
  display: grid;
  grid-template-columns: repeat(3, minmax(0, 1fr));
  gap: 30px;
  grid-auto-rows: 1fr;
}

.b-project-list .project-list__item {
  display: flex;
  flex-direction: column;
  background: #F8F8F8;
  position: relative;
}

.b-project-list .project-list__img {
  height: 260px;
}

.b-project-list .project-list__img img {
  height: 100%;
  width: 100%;
  object-fit: cover;
}

.b-project-list .project-list__content {
  flex: 1;
  box-sizing: border-box;
  padding: 20px;
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.b-project-list .project-list__preview p {
  margin: 0;
  padding: 0;
}

.b-project-list .project-list__info {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.b-project-list .project-list__link {
  margin-top: auto;
}


.b-project-list .project-list__name {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  font-weight: 500;
  font-size: 20px;
  line-height: 110%;
  color: #000;
  transition: color .2s ease;
}

.b-project-list .project-list__item:hover .project-list__name {
  color: #c1232a;
}
.b-project-list .project-list__preview {
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  font-weight: 500;
  font-size: 15px;
  line-height: 130%;
  color: #645f5f;
}
.b-project-list .project-list__item-link {
  position: absolute;
  inset: 0;
}
@media (max-width: 1239px) {
  .b-project-list .project-list__items {
    gap: 20px;
    grid-template-columns: repeat(2, minmax(0, 1fr));
  }
}

@media (max-width: 768px) {
  .b-project-list .project-list__items {
    grid-template-columns: 1fr;
    grid-auto-rows: auto;
  }
  .b-project-list .project-list__img {
    height: auto;
    max-height: 260px;
  }
}